<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>com.asso.ladoxa.scraper</groupId>
        <artifactId>scraper</artifactId>
        <version>1.0-SNAPSHOT</version>
        <relativePath>../..</relativePath>
    </parent>
    <name>scraper-datagouv</name>
    <artifactId>datagouv</artifactId>
    <version>1.0-SNAPSHOT</version>

    <dependencies>
        <dependency>
            <groupId>com.asso.ladoxa.scraper</groupId>
            <artifactId>common-sources</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.asso.ladoxa.scraper</groupId>
            <artifactId>commons-client</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.asso.ladoxa.scraper</groupId>
            <artifactId>commons-model</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-webflux</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>org.springframework.boot</groupId>
                    <artifactId>spring-boot-starter-logging</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <!-- https://mvnrepository.com/artifact/com.slack.api/slack-api-client -->
<!--        <dependency>-->
<!--            <groupId>com.slack.api</groupId>-->
<!--            <artifactId>slack-api-client</artifactId>-->
<!--            <version>1.0.11</version>-->
<!--        </dependency>-->
        <!-- https://mvnrepository.com/artifact/com.squareup.okhttp3/okhttp -->
        <dependency>
            <groupId>com.squareup.okhttp3</groupId>
            <artifactId>okhttp</artifactId>
            <version>4.7.2</version>
        </dependency>
    </dependencies>

    <build>
        <finalName>${project.name}</finalName>
        <plugins>
            <plugin>
                <groupId>com.google.cloud.tools</groupId>
                <artifactId>jib-maven-plugin</artifactId>
                <version>${jib.version}</version>
                <configuration>
                    <container>
                        <jvmFlags>
                            <jvmFlag>-Djava.security.egd=file:/dev/./urandom</jvmFlag>
                        </jvmFlags>
                    </container>
                </configuration>
            </plugin>
        </plugins>
    </build>
</project>